/* BdfServer_Html - Copyright (c) 2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.html.jslib;

import java.util.List;


/**
 *
 * @author Vincent Calame
 */
public class ThirdLib {

    private final String name;
    private final List<String> extensionNameList;

    public ThirdLib(String name, List<String> extensionNameList) {
        this.name = name;
        this.extensionNameList = extensionNameList;
    }

    public String getName() {
        return name;
    }

    public List<String> getExtensionNameList() {
        return extensionNameList;
    }

}
