/* FichothequeLib_API - Copyright (c) 2006-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.sphere;

import net.mapeadores.util.models.EmailCore;
import net.mapeadores.util.models.PersonCore;
import net.fichotheque.SubsetItem;


/**
 *
 * @author Vincent Calame
 */
public interface Redacteur extends SubsetItem {

    public Sphere getSphere();

    /**
     * Chaine sous la forme getSphere.getSubset().getSubsetKey.getSubsetName() +
     * "/" + getId()
     */
    public String getGlobalId();

    public String getLogin();

    public PersonCore getPersonCore();

    /**
     * Peut être nul.
     */
    public EmailCore getEmailCore();

    public boolean isActive();

}
