/* FichothequeLib_API - Copyright (c) 2013 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.fichotheque.extraction.run;

import net.fichotheque.SubsetKey;
import net.fichotheque.extraction.def.PackClause;


/**
 *
 * @author Vincent Calame
 */
public interface ExtraitCorpusResult {

    public String getName();

    public String getTagName();

    public SubsetKey getCorpusKey();

    public boolean withCorpusIntitule();

    public FicheGroup[] getGroupArray();

    public PackClause getPackClause();

}
